﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GlobalManager : MonoBehaviour
{
	private serialComm serial;
	private int index;
	public Vector3[] allocation;
	public Transform currPlane;
	public ParticleSystem currParticle;

	void Awake() 
	{
		serial = GetComponent<serialComm>();
		index = 0;
		allocation = new [] {
			new Vector3 (0, 0.3f, 0),
			new Vector3 (10, 0.3f, 0),
			new Vector3 (20, 0.3f, 0),
			new Vector3 (0, 0.3f, 10),
			new Vector3 (10, 0.3f, 10),
			new Vector3 (20, 0.3f, 10)
		};

		currParticle.startColor = new Color(219, 0, 0, 0.5f);
	}
	
	void Update ()
	{
		// shift visualization area at button press
		if (Input.GetKeyDown ("space") && index < 5)
		{
			index++;
		} 
		else if (Input.GetKeyDown ("space"))
		{
			index = 0;
		}
		currPlane.position = allocation[index];
		currParticle.transform.position = allocation[index];

		// map particle color to sensor value
		float alpha = Mathf.Clamp(map(serial.sensorVal, 24f, 28f, 0.5f, 1f), 0.5f, 1f);
		//print (alpha);
		currParticle.startColor = new Color(219, 0, 0, alpha);
	}

	float map(float s, float a1, float a2, float b1, float b2)
	{
		return b1 + (s - a1) * (b2 - b1) / (a2 - a1);
	}
}
